---
title: Get Passive DNS by IP
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Intel](https://developers.cloudflare.com/api/go/resources/intel)

[DNS](https://developers.cloudflare.com/api/go/resources/intel/subresources/dns)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Passive DNS by IP

client.Intel.DNS.List(ctx, params) (\*V4PagePagination\[[DNS](<https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/intel/dns

Gets a list of all the domains that have resolved to a specific IP address.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Intel Write``Intel Read`

##### ParametersExpand Collapse

<details>

<summary>

params DNSListParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

IPV4 param.Field\[string]Optional

Query param

<a href="#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20ipv4">Link to this property</a>

Page param.Field\[float64]Optional

Query param: Requested page within paginated list of results.

<a href="#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param: Maximum number of results requested.

<a href="#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

<details>

<summary>

StartEndParams param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/intel/subresources/dns/methods/list#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20start_end_params%20%3E%20(schema)">DNSListParamsStartEndParams</a>]Optional

Query param

</summary>

End TimeOptional

Defaults to the current date.

formatdate

<a href="#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20start_end_params%20%3E%20(schema)%20%3E%20(property)%20end">Link to this property</a>

Start TimeOptional

Defaults to 30 days before the end parameter value.

formatdate

<a href="#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20start_end_params%20%3E%20(schema)%20%3E%20(property)%20start">Link to this property</a>

</details>

<a href="#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20start_end_params">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.dns%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type DNS struct{…}

</summary>

Count float64Optional

Total results returned based on your search parameters.

<a href="#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)%20%3E%20(property)%20count">Link to this property</a>

Page float64Optional

Current page within paginated list of results.

<a href="#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)%20%3E%20(property)%20page">Link to this property</a>

PerPage float64Optional

Number of results per page of results.

<a href="#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)%20%3E%20(property)%20per_page">Link to this property</a>

<details>

<summary>

ReverseRecords \[]DNSReverseRecordOptional

Reverse DNS look-ups observed during the time period.

</summary>

FirstSeen TimeOptional

First seen date of the DNS record during the time period.

formatdate

<a href="#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)%20%3E%20(property)%20reverse_records%20%3E%20(items)%20%3E%20(property)%20first_seen">Link to this property</a>

Hostname stringOptional

Hostname that the IP was observed resolving to.

<a href="#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)%20%3E%20(property)%20reverse_records%20%3E%20(items)%20%3E%20(property)%20hostname">Link to this property</a>

LastSeen TimeOptional

Last seen date of the DNS record during the time period.

formatdate

<a href="#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)%20%3E%20(property)%20reverse_records%20%3E%20(items)%20%3E%20(property)%20last_seen">Link to this property</a>

</details>

<a href="#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)%20%3E%20(property)%20reverse_records">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.dns%20%3E%20(model)%20dns%20%3E%20(schema)>)

### Get Passive DNS by IP

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/intel"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Intel.DNS.List(context.TODO(), intel.DNSListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "reverse_records": [
      {
        "first_seen": "2021-04-01",
        "hostname": "hostname",
        "last_seen": "2021-04-30"
      }
    ]
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "reverse_records": [
      {
        "first_seen": "2021-04-01",
        "hostname": "hostname",
        "last_seen": "2021-04-30"
      }
    ]
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```